QGIS Application - Bug report #3034
new symbology: quite slow at opening Symbol properties
2010-09-22 04:01 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13094
Description

In the new symbology, when opening layer properties>Symbol properties, the CPU goes up for several minutes, and the system becomes
unresopnsive. From the shell | get several warnings:

Warning: QFont::setPointSize: Point size <= 0 (0), must be greater than 0
Warning: QColor::setNamedColor: Unknown color name 'character_n'
Debug: couldn't create image from "pastedpic_10102008_233747.png"

History

#1 - 2010-09-22 04:11 AM - Giovanni Manghi

yes, | also noticed this recently on trunk/Ubuntu.

#2 - 2010-09-25 12:57 PM - Jiirgen Fischer

Replying to [comment:1 lutra]:

yes, | also noticed this recently on trunk/Ubuntu.

Looks like some of the new SVG symbols produce these errors.

#3 - 2010-10-17 03:02 AM - Giovanni Manghi

it is possible to reomove this symbol? on slow computers the lag is very annoying.

#4 - 2010-10-17 03:10 AM - Borys Jurgiel

| can confirm it too. +1 for removing it before the 1.6 release, as it makes the new symbology usage extremaly painful (on Core2Duo/4GB ).

#5 - 2010-10-30 03:50 AM - Martin Dobias

Recently (cca 2 weeks ago) | have improved the loading time of the symbol properties dialog. Is it acceptable now?
Anyway if there are any svg files that cause troubles, it would be good to repair or remove them.

#6 - 2010-10-31 05:48 AM - Borys Jurgiel
- Status changed from Open to Closed
- Resolution set to fixed

Now everything seems to work. Only opening the SVG marker list for adding one of them as a symbol level takes about a second, but | think it's
acceptable. I'm closing the ticket now, please test it and open if necessary.

#7 - 2010-10-31 09:18 AM - Paolo Cavallini

Tested, it works, thanks.

BTW: how could check which SVG symbol causes problems? Perhaps we should automatically check their validity before the inclusion in the standard

set?

#8 - 2010-11-03 02:15 PM - Martin Dobias

I've committed a further improvement in commit:34e9fc5b (SVN r14500). Opening symbol properties should be instantaneous now.

The warnings/debug statements in console regarding the SVG files can be ignored.
